from spack import *

class BiobbStructureUtils(PythonPackage):
    """Biobb_structure_utils is the Biobb module collection to modify 
    or extract information from a PDB structure file."""

    # Homepage and download url
    homepage = "https://github.com/bioexcel/biobb_structure_utils"
    git = 'https://github.com/bioexcel/biobb_structure_utils.git'

    # Versions
    version('4.0.0', branch='master')

    # Dependencies
    depends_on('python@3.8:', type=('build', 'run'))
    depends_on('biobb-common')
    depends_on('biobb-structure-checking')

    # Test
    @run_after('install')
    @on_package_attributes(run_tests=True)
    def check_install (self):
        python("-c", 'import biobb_structure_utils')
