# Copyright 2013-2022 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

from spack.package import *


class PyMatplotlibScalebar(PythonPackage):
    """Matplotlib-Scalebar provides a new artist for matplotlib to display a scale bar, aka micron bar."""

    homepage = "https://kolibril13.github.io/plywood-gallery-matplotlib-scalebar/"
    pypi = "matplotlib-scalebar/matplotlib-scalebar-0.8.1.tar.gz"
    git = "https://github.com/ppinard/matplotlib-scalebar.git"

    # list of GitHub accounts to notify when the package is updated.
    maintainers = ["ppinard"]

    version("0.8.1", sha256="14887af1093579c5e6afae51a0a1ecc3f715cdbc5c4d7ef59cdeec76ee6bb15d")

    depends_on("py-matplotlib", type=("build", "run"))
